## com.imcode.imcms.servlet
Class ImcmsSetupFilter

    java.lang.Object
      com.imcode.imcms.servlet.ImcmsSetupFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class ImcmsSetupFilter

extends java.lang.Object
implements javax.servlet.Filter

Field Summary
`static java.lang.String` `JSESSIONID_COOKIE_NAME`

Constructor Summary
`ImcmsSetupFilter()`

Method Summary
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest r, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`static java.lang.String` `getDocumentIdString(ImcmsServices service, java.lang.String path)`
`void` `init(javax.servlet.FilterConfig config)` Integrates springframework.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JSESSIONID_COOKIE_NAME

    public static final java.lang.String JSESSIONID_COOKIE_NAME

See Also:
  Constant Field Values

Constructor Detail

### ImcmsSetupFilter

    public ImcmsSetupFilter()

Method Detail

### doFilter

    public void doFilter(javax.servlet.ServletRequest r,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getDocumentIdString

    public static java.lang.String getDocumentIdString(ImcmsServices service,
                                                       java.lang.String path)

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Integrates springframework. Set up i18n support. TODO i18n: refactor out

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`